/*
 * GF_librarary.h
 *
 *  Created on: 21 февр. 2025 г.
 *      Author: basov.g
 */

#ifndef DRV_GF_LIBRARY_H_
#define DRV_GF_LIBRARY_H_

#include "stdint.h"
#include <stdio.h>
#include <stdarg.h>
void GF_SetBuffer(uint8_t *address);

void GF_Clear(void);
void GF_Dot(int x, int y);
void GF_FastLineH(int y, int x0, int x1);
void GF_FastLineV(int x, int y0, int y1);
void GF_Line(int x0, int y0, int x1, int y1);
void GF_Rect(int x0, int y0, int x1, int y1);
void GF_RectLine(int x0, int y0, int x1, int y1);
void GF_RoundRect(int x0, int y0, int x1, int y1);
void GF_Circle(int x, int y, int radius);
void GF_DrawSymbol(int x, int y, char symbol);
void GF_DrawStr(int x, int y, char *str);
void GF_DrawSymbolGraph(int x, int y, uint8_t size);
void GF_Printf(int x, int y, char const* fmt, ... ) __attribute__ ((format (printf, 3, 4)));
#endif /* DRV_GF_LIBRARY_H_ */
